karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: build EIK
Date Wed, 25 Jan 2012 06:52:45 GMT
Hi Filippo,

thanks for the update, I gonna fix that this morning.

Regards
JB

On 01/25/2012 07:38 AM, Filippo Balicchia wrote:
> Yes
>
> Il 24 gennaio 2012 19:10, Jean-Baptiste Onofré<jb@nanthrax.net>  ha scritto:
>> Hi Filippo,
>>
>> no problem. I guess that you have the same issue on the update feature,
>> right ?
>>
>> Regards
>> JB
>>
>>
>> On 01/24/2012 07:01 PM, Filippo Balicchia wrote:
>>>
>>> Sorry for disturb.
>>> the problem was my maven version with 3.0
>>> it works
>>>
>>> Cheers
>>>
>>> Il 24 gennaio 2012 16:36, Filippo Balicchia<fbalicchia@gmail.com>    ha
>>> scritto:
>>>>
>>>> Hi JB,
>>>>
>>>> thanks for the responce
>>>> i have downloaded  revesion 1235294..
>>>>
>>>> when i make clean install a receive
>>>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>>>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>>>
>>>> seems that the reference to  Eclipse is wrong
>>>>
>>>> It works for you ?
>>>>
>>>> cheers
>>>>
>>>> --Filippo
>>>>
>>>>
>>>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<jb@nanthrax.net>  
 ha
>>>> scritto:
>>>>>
>>>>> Hi Filippo,
>>>>>
>>>>> Did you perform a simple
>>>>>
>>>>> mvn clean install
>>>>>
>>>>> ?
>>>>>
>>>>> The p2 layout is provided by a Maven Eclipse extension.
>>>>>
>>>>> I have an issue on the update feature:
>>>>>
>>>>> [ERROR] Cannot resolve project dependencies:
>>>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui
>>>>> 3.0.0.qualifier
>>>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
>>>>> [ERROR]
>>>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency
>>>>> from
>>>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
>>>>> 1.3.0.", "Unable to satisfy dependency from
>>>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
>>>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
>>>>> because
>>>>> the problem is unsatisfiable."] ->    [Help 1]
>>>>> org.apache.maven.InternalErrorException: Internal error:
>>>>> java.lang.RuntimeException: "No solution found because the problem is
>>>>> unsatisfiable.": ["Unable to satisfy dependency from
>>>>> org.apache.karaf.eik.ui
>>>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to
>>>>> satisfy
>>>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
>>>>> [1.1.0,2.0.0).",
>>>>> "No solution found because the problem is unsatisfiable."]
>>>>>
>>>>> I gonna fix it.
>>>>>
>>>>> Regards
>>>>> JB
>>>>>
>>>>>
>>>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>>>
>>>>>>
>>>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>>>
>>>>>> In the po i see that it point to
>>>>>> <repository>
>>>>>>              <id>helios</id>
>>>>>>              <layout>p2</layout>
>>>>>>              <url>${eclipse-site}</url>
>>>>>> </repository>
>>>>>>
>>>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>>>
>>>>>> I see that   layout can assume value  default and legacy.
>>>>>>
>>>>>> am i in wrong ?
>>>>>>
>>>>>>
>>>>>> --Filippo
>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Jean-Baptiste Onofré
>>>>> jbonofre@apache.org
>>>>> http://blog.nanthrax.net
>>>>> Talend - http://www.talend.com
>>
>>
>> --
>> Jean-Baptiste Onofré
>> jbonofre@apache.org
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message